/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2011 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: BuilderInfo.java 21613 2011-08-10 13:46:31Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.autostart.service;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;


import org.ow2.jonas.admin.autostart.vo.StarterVO;
import org.ow2.jonas.admin.autostart.vo.configuration.ConfigurationVO;

/**
 * The thread information.
 *
 * @author skabore
 */
public class BuilderInfo implements Serializable {

    public String parameter = null;

    public List<String> applications = new ArrayList<String>();

    public List<StarterVO> starters = new ArrayList<StarterVO>();

    public String jonasZipFile = null;

    public String jonasVersion = null;

    public String jonasType = null;

    public String jonasStarterName = null;

    public ArrayList<String> outputText = new ArrayList<String>();

    public Boolean applyConfiguration = null;

    public Boolean useFullStarter = null;

    public Boolean includeJonasClient = null;

    public ConfigurationVO configuration = new ConfigurationVO();

    public int getJonasFrom = WEB_SITE;

    private final static int WEB_SITE = 0;

    private final static int ZIP_FILE = 1;

    private final static int CURRENT_JONAS_FOLDER = 2;

    public void init(final Object builder) {
    }
}
