/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: StarterVO.java 20836 2011-02-03 17:17:26Z benoitf $
 * --------------------------------------------------------------------------
 */
package org.ow2.jonas.admin.autostart.vo;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * Represent a starter object.
 * 
 * @author skabore
 */
public class StarterVO implements Serializable {

    /**
     * Serial Version UID.
     */
    // public static final long serialVersionUID = 6L;

    /**
     * Applications list.
     */
    public List<String> applications = new ArrayList<String>();

    /**
     * starter name.
     */
    public String jonasStarterName;

    /**
     * starter location.
     */
    public String jonasStarterPath;

    /**
     * starter description.
     */
    public String jonasStarterDescription;

    /**
     * starter creation date.
     */
    public String jonasStarterCreationDate;

    /**
     * Default constructor.
     */
    public StarterVO() {
    }

    public void init(Object starter) {
    }
}
